Crie uma API Key para testar os endpoints ao vivo.

Criar API Key
get /api/v1/companies/{cnpj}

Parâmetros

CNPJ com 14 dígitos (sem pontuação)

Autorização

Informe sua API key gerada em /developer/api-keys

Authorization

bearerAuth
AuthorizationBearer <token>

Informe sua API key gerada em /developer/api-keys

In: header

Path Parameters

cnpj*string

CNPJ com 14 dígitos (sem pontuação)

Match^\d{14}$

Response Body

application/json

application/json

application/json

application/json

application/json

curl -X GET "https://tamz.ai/api/v1/companies/33000167000101"
{
  "data": {
    "company": {
      "cnpj": "33000167000101",
      "legal_name": "PETRÓLEO BRASILEIRO S A PETROBRAS",
      "status": "Ativa",
      "address_city": "Rio de Janeiro",
      "address_state": "RJ"
    },
    "owners": [
      {
        "person_id": "018e1234-abcd-7000-8000-000000000099",
        "name": "GOVERNO FEDERAL",
        "role": "Acionista",
        "equity_pct": 36.61,
        "has_email": false,
        "has_phone": false,
        "has_linkedin": false
      }
    ]
  }
}
{
  "error": {
    "code": "INVALID_CNPJ",
    "message": "Invalid CNPJ (must be 14 digits)"
  }
}
{
  "error": {
    "code": "UNAUTHORIZED",
    "message": "Missing API key. Use Authorization: Bearer tamz_xxx or X-API-Key header"
  }
}
{
  "error": {
    "code": "NOT_FOUND",
    "message": "Company not found"
  }
}
{
  "error": {
    "code": "RATE_LIMITED",
    "message": "Rate limit exceeded"
  }
}